package com.yonge.cooleshow.biz.dal.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.yonge.toolset.base.enums.BaseEnum;

/**
 * 状态，-1,发送失败;0,待发送;1,发送中;2,发送完成
 */
public enum SendTypeEnum implements BaseEnum<String, SendTypeEnum> {

    PLATFORM("PLATFORM"),
    ACTIVITY("ACTIVITY"),


    ;

    @EnumValue
    private String code;
    private String msg;

    SendTypeEnum(String msg) {
        this.code = this.name();
        this.msg = msg;
    }

    @Override
    public String getCode() {
        return this.code;
    }

    public String getMsg() {
        return this.msg;
    }

}
